Package de.tudresden.sumo.subscription

## Enum ResponseType

- java.lang.Object
- - java.lang.Enum<ResponseType>
  - - de.tudresden.sumo.subscription.ResponseType

- All Implemented Interfaces:
    `Serializable`, `Comparable<ResponseType>`

      public enum ResponseType
      extends Enum<ResponseType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AREAL_DETECTOR_CONTEXT` |
    `AREAL_DETECTOR_VARIABLE` |
    `EDGE_CONTEXT` |
    `EDGE_VARIABLE` |
    `GUI_CONTEXT` |
    `GUI_VARIABLE` |
    `INDUCTIONLOOP_CONTEXT` |
    `INDUCTIONLOOP_VARIABLE` |
    `JUNCTION_CONTEXT` |
    `JUNCTION_VARIABLE` |
    `LANE_CONTEXT` |
    `LANE_VARIABLE` |
    `MULTI_ENTRY_EXIT_DETECTOR_CONTEXT` |
    `MULTI_ENTRY_EXIT_DETECTOR_VARIABLE` |
    `PERSON_CONTEXT` |
    `PERSON_VARIABLE` |
    `POI_CONTEXT` |
    `POI_VARIABLE` |
    `POLYGON_CONTEXT` |
    `POLYGON_VARIABLE` |
    `ROUTE_CONTEXT` |
    `ROUTE_VARIABLE` |
    `SIM_CONTEXT` |
    `SIM_VARIABLE` |
    `TL_CONTEXT` |
    `TL_VARIABLE` |
    `UNKNOWN` |
    `VEHICLE_CONTEXT` |
    `VEHICLE_VARIABLE` |
    `VEHICLETYPE_CONTEXT` |
    `VEHICLETYPE_VARIABLE` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ResponseType` | `getType​(int response)` |
    `boolean` | `isContext()` |
    `boolean` | `isVariable()` |
    `static ResponseType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ResponseType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final ResponseType UNKNOWN

    - #### EDGE_VARIABLE

          public static final ResponseType EDGE_VARIABLE

    - #### AREAL_DETECTOR_VARIABLE

          public static final ResponseType AREAL_DETECTOR_VARIABLE

    - #### PERSON_VARIABLE

          public static final ResponseType PERSON_VARIABLE

    - #### MULTI_ENTRY_EXIT_DETECTOR_VARIABLE

          public static final ResponseType MULTI_ENTRY_EXIT_DETECTOR_VARIABLE

    - #### JUNCTION_VARIABLE

          public static final ResponseType JUNCTION_VARIABLE

    - #### VEHICLE_VARIABLE

          public static final ResponseType VEHICLE_VARIABLE

    - #### INDUCTIONLOOP_VARIABLE

          public static final ResponseType INDUCTIONLOOP_VARIABLE

    - #### GUI_VARIABLE

          public static final ResponseType GUI_VARIABLE

    - #### POI_VARIABLE

          public static final ResponseType POI_VARIABLE

    - #### VEHICLETYPE_VARIABLE

          public static final ResponseType VEHICLETYPE_VARIABLE

    - #### LANE_VARIABLE

          public static final ResponseType LANE_VARIABLE

    - #### POLYGON_VARIABLE

          public static final ResponseType POLYGON_VARIABLE

    - #### TL_VARIABLE

          public static final ResponseType TL_VARIABLE

    - #### ROUTE_VARIABLE

          public static final ResponseType ROUTE_VARIABLE

    - #### SIM_VARIABLE

          public static final ResponseType SIM_VARIABLE

    - #### POLYGON_CONTEXT

          public static final ResponseType POLYGON_CONTEXT

    - #### EDGE_CONTEXT

          public static final ResponseType EDGE_CONTEXT

    - #### AREAL_DETECTOR_CONTEXT

          public static final ResponseType AREAL_DETECTOR_CONTEXT

    - #### PERSON_CONTEXT

          public static final ResponseType PERSON_CONTEXT

    - #### POI_CONTEXT

          public static final ResponseType POI_CONTEXT

    - #### GUI_CONTEXT

          public static final ResponseType GUI_CONTEXT

    - #### MULTI_ENTRY_EXIT_DETECTOR_CONTEXT

          public static final ResponseType MULTI_ENTRY_EXIT_DETECTOR_CONTEXT

    - #### INDUCTIONLOOP_CONTEXT

          public static final ResponseType INDUCTIONLOOP_CONTEXT

    - #### ROUTE_CONTEXT

          public static final ResponseType ROUTE_CONTEXT

    - #### VEHICLE_CONTEXT

          public static final ResponseType VEHICLE_CONTEXT

    - #### VEHICLETYPE_CONTEXT

          public static final ResponseType VEHICLETYPE_CONTEXT

    - #### JUNCTION_CONTEXT

          public static final ResponseType JUNCTION_CONTEXT

    - #### SIM_CONTEXT

          public static final ResponseType SIM_CONTEXT

    - #### LANE_CONTEXT

          public static final ResponseType LANE_CONTEXT

    - #### TL_CONTEXT

          public static final ResponseType TL_CONTEXT

  - ### Method Detail

    - #### values

          public static ResponseType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResponseType c : ResponseType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResponseType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isVariable

          public boolean isVariable()

    - #### isContext

          public boolean isContext()

    - #### getType

          public static ResponseType getType​(int response)